#

API Docs for:
Show: Inherited Protected Private Deprecated

# AreaSplineSeries Class

Defined in: `input/charts/AreaSplineSeries.js:1`
Module: charts

AreaSplineSeries renders an area graph with data points connected by a curve.

- Index
- Methods
- Attributes

## Item Index

### Methods

- drawSeries

### Attributes

- styles
- type

## Methods

### `drawSeries`

() protected

Defined in `input/charts/AreaSplineSeries.js:12`

## Attributes

### `styles`

Object

Defined in `input/charts/AreaSplineSeries.js:36`

Style properties used for drawing area fills. This attribute is inherited from `Renderer`. Below are the default values:

color
  The color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
alpha
  Number between 0 and 1 that indicates the opacity of the fill. The default value is 1

### `type`

String

Defined in `input/charts/AreaSplineSeries.js:25`

Read-only attribute indicating the type of series.

Default: areaSpline